## org.apache.commons.collections.set
Class TransformedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.TransformedCollection
                  org.apache.commons.collections.set.TransformedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Direct Known Subclasses:
  TransformedSortedSet

    public class TransformedSet

extends TransformedCollection
implements java.util.Set

Decorates another `Set` to transform objects that are added.

The add methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.TransformedCollection
`transformer`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `TransformedSet(java.util.Set set, Transformer transformer)` Constructor that wraps (not copies).

Method Summary
`static java.util.Set` `decorate(java.util.Set set, Transformer transformer)` Factory method to create a transforming set.

Methods inherited from class org.apache.commons.collections.collection.TransformedCollection
`add, addAll, decorate, transform, transform`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### TransformedSet

    protected TransformedSet(java.util.Set set,
                             Transformer transformer)

  Constructor that wraps (not copies).

  If there are any elements already in the set being decorated, they are NOT transformed.

  Parameters:
    `set` - the set to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or transformer is null

Method Detail

### decorate

    public static java.util.Set decorate(java.util.Set set,
                                         Transformer transformer)

  Factory method to create a transforming set.

  If there are any elements already in the set being decorated, they are NOT transformed.

  Parameters:
    `set` - the set to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or transformer is null

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.